@echo off
rem - ft_default_cbr.bat
rem - ft_preset_type.bat
rem - ft_vbr.bat
rem - ft_settings.bat
rem - ft_abr.bat
rem - ft_decode.bat

rem - each configuration is run 3 times and the average is taken
rem - ****************************************************************
rem - CBR encoding with a default of 128 bitrate 44.1 KHz

rem - default CBR
prep /om /ft ../lame.exe
profile ../lame ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_cbr_default.txt

rem - High quality CBR (recommended by LAME)
prep /om /ft ../lame.exe
profile ../lame -h ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -h ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -h ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_cbr_high.txt

rem - fast CBR but lower quality
prep /om /ft ../lame.exe
profile ../lame -f ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -f ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -f ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_cbr_low.txt
rem - ****************************************************************

rem - ****************************************************************
rem - CBR encoding with preset types
rem - phone, voice, fm, tape, hifi, cd, studio
rem - --preset mode

rem - phone
prep /om /ft ../lame.exe
profile ../lame --preset phone ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset phone ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset phone ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_preset_phone.txt

rem - voice
prep /om /ft ../lame.exe
profile ../lame --preset voice ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset voice ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset voice ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_preset_voice.txt

rem - fm
prep /om /ft ../lame.exe
profile ../lame --preset fm ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset fm ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset fm ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_preset_fm.txt

rem - tape
prep /om /ft ../lame.exe
profile ../lame --preset tape ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset tape ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset tape ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_preset_tape.txt

rem - hifi
prep /om /ft ../lame.exe
profile ../lame --preset hifi ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset hifi ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset hifi ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_preset_hifi.txt

rem - cd
prep /om /ft ../lame.exe
profile ../lame --preset cd ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset cd ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset cd ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_preset_cd.txt

rem - studio
prep /om /ft ../lame.exe
profile ../lame --preset studio ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset studio ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --preset studio ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_preset_studio.txt
rem - ****************************************************************

rem - ****************************************************************
rem - VBR encoding
rem - -v for VBR encoding
rem - -V quality 0..9 highest from 0
rem - -b min bit rate
rem - -B max bit rate

rem - VBR low quality
prep /om /ft ../lame.exe
profile ../lame -v -V 9 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -v -V 9 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -v -V 9 ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_vbr_low.txt

rem - VBR medium quality
prep /om /ft ../lame.exe
profile ../lame -v -V 5 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -v -V 5 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -v -V 5 ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_vbr_medium.txt

rem - VBR high quality
prep /om /ft ../lame.exe
profile ../lame -v -V 0 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -v -V 0 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -v -V 0 ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_vbr_high.txt


rem - VBR with specified minimum and maximum bitrates
prep /om /ft ../lame.exe
profile ../lame -v -b 48 -B 160 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -v -b 48 -B 160 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -v -b 48 -B 160 ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_vbr_min_max_bitrates.txt
rem - ****************************************************************

rem - ****************************************************************
rem - default encoding with some options settings
rem - -c copyright markup
rem - -p each frame will have a 16-bit checksum
rem - --tt title
rem - --ta artist
rem - --tl album
rem - --ty year
rem - --tc comments
rem - --tn track number
rem - --tg genre

prep /om /ft ../lame.exe
profile ../lame -c -p --tt "Testcase" --ta "DEEP 3" --tl "FPGA Project" --ty "2002" --tc "Testfile for fpga project" --tn "1" --tg "Blues" ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -c -p --tt "Testcase" --ta "DEEP 3" --tl "FPGA Project" --ty "2002" --tc "Testfile for fpga project" --tn "1" --tg "Blues" ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame -c -p --tt "Testcase" --ta "DEEP 3" --tl "FPGA Project" --ty "2002" --tc "Testfile for fpga project" --tn "1" --tg "Blues" ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_settings.txt
rem - ****************************************************************

rem - ****************************************************************
rem - ABR encoding

rem - Low average bitrate
prep /om /ft ../lame.exe
profile ../lame --abr 8 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --abr 8 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --abr 8 ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_abr_low.txt

rem - medium average bitrate
prep /om /ft ../lame.exe
profile ../lame --abr 80 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --abr 80 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --abr 80 ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_abr_medium.txt

rem - high average bitrate
prep /om /ft ../lame.exe
profile ../lame --abr 160 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --abr 160 ../testcase.wav ../testcase.mp3
prep /m ../lame
profile ../lame --abr 160 ../testcase.wav ../testcase.mp3
prep /m ../lame
plist /st /t ../lame.pbt > ft_abr_high.txt
rem - ****************************************************************

rem - ****************************************************************
rem - decoding

prep /om /ft ../lame.exe
profile ../lame --decode ../testcase.mp3 ../sound.wav
prep /m ../lame
profile ../lame --decode ../testcase.mp3 ../sound.wav
prep /m ../lame
profile ../lame --decode ../testcase.mp3 ../sound.wav
prep /m ../lame
plist /st /t ../lame.pbt > ft_decode.txt
rem - ****************************************************************